Subject: bug#13761: FAIL: t/objc-megademo.sh (OS X 10.6)

From: "Daniel Macks" <[email-masked]>
Date: Tue, 19 Feb 2013 09:39:09 -0500

Building automake on OS X 10.6 with autoconf-2.69 installed, I get a self-test failure:

FAIL: t/objc-megademo.sh

Same results with automake-1.12.6 and 1.13.1 (and same as one of the ones reported in Bug #11618). The build process in t/objc-megademo.log looks normal, up until:

./t/objc-megademo.sh: line 344: 95507 Illegal instruction     ./play > got

from am-1.12.6 (am-1.13.1 is same except it's line 366). Running t/objc-megademo.dir/play from the command-line gives:

[Hello C, world C]
[Hello C  , world C  ]
Illegal instruction

That's all using the default 64-bit mode (-arch x86_64). If I force 32-bit mode  (using "-arch i386" with all compiler calls), it still fails, but the command-line output is different:

[Hello C, world C]
[Hello C  , world C  ]
objc[44708]: Hello_ObjC: Does not recognize selector forward::
Illegal instruction

It passes on 10.7. 

 I don't know much about objc, but can try any ideas to debug or solve that someone has. 

dan

 --
Daniel Macks
[email-masked]